Name:           python-hawkauthlib
Version:        2.0.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Hawk Access Authentication protocol

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MPL-2.0
URL:            https://github.com/mozilla-services/hawkauthlib
Source:         %{pypi_source hawkauthlib}
Patch:          0001-Fix-tests.patch

BuildArch:      noarch
BuildRequires:  python3-devel

# Test dependencies
BuildRequires:  python3-mohawk
BuildRequires:  python3-pytest

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is a low-level library for implementing Hawk Access Authentication, a simple HTTP request-signing scheme described in:

https://npmjs.org/package/hawk}

%description %_description

%package -n     python3-hawkauthlib
Summary:        %{summary}

%description -n python3-hawkauthlib %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-hawkauthlib test


%prep
%autosetup -p1 -n hawkauthlib-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs
%pyproject_save_files hawkauthlib


%check
%pytest hawkauthlib/tests
# %%pyproject_check_import


%files -n python3-hawkauthlib -f %{pyproject_files}


%changelog
%autochangelog
